HPL_indxg2p(3)

NAME
HPL_indxg2p - Map a global index into a process coordinate.

SYNOPSIS
#include "hpl.h"

int HPL_indxg2p( const int IG, const int INB, const int NB, const int SRCPROC, const int NPROCS );

DESCRIPTION
HPL_indxg2p computes the process coordinate which posseses the entry of a matrix specified by a global index IG.

ARGUMENTS

IG      (input)                 const int
    On entry, IG specifies the global index of the matrix entry. IG must be at least zero.

INB     (input)                 const int
    On entry, INB specifies the size of the first block of the global matrix. INB must be at least one.

NB      (input)                 const int
    On entry, NB specifies the blocking factor used to partition and distribute the matrix A. NB must be larger than one.

SRCPROC (input)                 const int
    On entry, SRCPROC specifies the coordinate of the process that possesses the first row or column of the matrix. SRCPROC must be at least zero and strictly less than NPROCS.

NPROCS  (input)                 const int
    On entry, NPROCS specifies the total number of process rows or columns over which the matrix is distributed. NPROCS must be at least one.

SEE ALSO
HPL_indxg2l (3), HPL_indxg2p (3), HPL_indxl2g (3), HPL_numroc (3), HPL_numrocI (3).